> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Fetch a single user's profile by ID.

Any member of the workspace may read other member profiles
(requires members:read which every role holds).



## OpenAPI

````yaml /openapi.json get /v1/users/{user_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/users/{user_id}:
    get:
      tags:
        - users
      summary: Get User
      description: |-
        Fetch a single user's profile by ID.

        Any member of the workspace may read other member profiles
        (requires members:read which every role holds).
      operationId: get_user_v1_users__user_id__get
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app__routers__users__UserOut'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    app__routers__users__UserOut:
      properties:
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        email:
          title: Email
          type: string
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        id:
          title: Id
          type: string
        locale:
          default: en
          title: Locale
          type: string
        membership_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Membership Id
        name:
          title: Name
          type: string
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        timezone:
          default: UTC
          title: Timezone
          type: string
        workspace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Id
      required:
        - id
        - email
        - name
      title: UserOut
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````